Device (pci8086,1604)
{
	Name (_ADR, 0x00000000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Broadwell-U Host Bridge -OPI" },
			"device_type", Buffer () { "Host bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IGPU)
{
	Name (_ADR, 0x00020000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"AAPL,ig-platform-id", Buffer () { 0x09, 0x00, 0xA5, 0x3E },
			"framebuffer-patch-enable", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"model", Buffer () { "HD Graphics 5500" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "VGA compatible controller" },
		})
	}
}
Device (HDEF)
{
	Name (_ADR, 0x001b0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP High Definition Audio Controller" },
			"layout-id", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"hda-gfx", Buffer () { "onboard-1" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "Audio device" },
		})
	}
}
Device (RP01)
{
	Name (_ADR, 0x001c0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP PCI Express Root Port #1" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (HDAU)
{
	Name (_ADR, 0x00030000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Broadwell-U Audio Controller" },
			"device_type", Buffer () { "Audio device" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (B0D4)
{
	Name (_ADR, 0x00040000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Broadwell-U Processor Thermal Subsystem" },
			"device_type", Buffer () { "Signal processing controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (XHC)
{
	Name (_ADR, 0x00140000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP USB xHCI Controller" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IMEI)
{
	Name (_ADR, 0x00160000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP MEI Controller #1" },
			"device_type", Buffer () { "Communication controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP04)
{
	Name (_ADR, 0x001c0003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP PCI Express Root Port #4" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (LPCB)
{
	Name (_ADR, 0x001f0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP LPC Controller" },
			"device_type", Buffer () { "ISA bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SAT0)
{
	Name (_ADR, 0x001f0002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP SATA Controller [AHCI Mode]" },
			"device_type", Buffer () { "SATA controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (D00A)
{
	Name (_ADR, 0x001f0003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP SMBus Controller" },
			"device_type", Buffer () { "SMBus" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (TPCH)
{
	Name (_ADR, 0x001f0006)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Wildcat Point-LP Thermal Management Controller" },
			"device_type", Buffer () { "Signal processing controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
